package domain

type AlibabaWdkMarketingCouponCreateactivityLimitInfo struct {
	/*
	   活动每日总限领 defalutValue:-1    */
	DailyLimitCnt *int64 `json:"daily_limit_cnt,omitempty" `

	/*
	   每人每日限领 defalutValue:-1    */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   每人活动期间总限领 defalutValue:-1    */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   必须指定且值为正数，活动期间总限领     */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `
}

func (s *AlibabaWdkMarketingCouponCreateactivityLimitInfo) SetDailyLimitCnt(v int64) *AlibabaWdkMarketingCouponCreateactivityLimitInfo {
	s.DailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingCouponCreateactivityLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaWdkMarketingCouponCreateactivityLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingCouponCreateactivityLimitInfo) SetUserLimitCnt(v int64) *AlibabaWdkMarketingCouponCreateactivityLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingCouponCreateactivityLimitInfo) SetTotalLimitCnt(v int64) *AlibabaWdkMarketingCouponCreateactivityLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
